CppCMS

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Classes | Functions
booster::locale::gnu_gettext Namespace Reference
Message Formatting (translation)

This namespace holds classes that provide GNU Gettext message catalogs support. More...

## Classes
struct | messages_info
| This structure holds all information required for creating gnu-gettext message catalogs,. More...

## Functions
template<typename CharType >
message_format< CharType > * | create_messages_facet (messages_info const &info)

## Detailed Description

This namespace holds classes that provide GNU Gettext message catalogs support.

## Function Documentation

template<typename CharType >

message_format<CharType>* booster::locale::gnu_gettext::create_messages_facet | ( | messages_info const & | info | ) |

Create a message_format facet using GNU Gettext catalogs. It uses info structure to get information about where to read them from and uses it for character set conversion (if needed)